# AIVehicleList_Depot Class Reference
[Classes that create a list of items.]

Creates a list of vehicles that have orders to a given depot. More...

`#include <ai_vehiclelist.hpp>`

Inheritance diagram for AIVehicleList_Depot:

## Public Member Functions
| AIVehicleList_Depot (TileIndex tile)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates a list of vehicles that have orders to a given depot.

The list is created with a tile. If the tile is part of an airport all aircraft having a depot order on a hangar of that airport will be returned. For all other vehicle types the tile has to be a depot or an empty list will be returned.

Definition at line 53 of file ai_vehiclelist.hpp.

## Constructor & Destructor Documentation

AIVehicleList_Depot::AIVehicleList_Depot | ( | TileIndex | tile | ) |

Parameters:

  | tile | The tile of the depot to get the list of vehicles from, which have orders to it.

Definition at line 48 of file ai_vehiclelist.cpp.

References _current_company, AIList::AddItem(), FOR_ALL_VEHICLES, GetDepotIndex(), Order::GetDestination(), GetStationIndex(), GetTileType(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, IsAirport(), Vehicle::IsPrimaryVehicle(), IsRailDepot(), IsRoadDepot(), IsShipDepot(), Order::IsType(), AIMap::IsValidTile(), MP_RAILWAY, MP_ROAD, MP_STATION, MP_WATER, Vehicle::owner, BaseVehicle::type, VEH_AIRCRAFT, VEH_ROAD, VEH_SHIP, and VEH_TRAIN.

## Member Function Documentation

static const char* AIVehicleList_Depot::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIList.

Definition at line 56 of file ai_vehiclelist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_vehiclelist.hpp
- src/ai/api/ai_vehiclelist.cpp